.game-main-container {
    position: fixed;
    width: 100%;
    height: 100%;
}

#show-video {
    /* max-height: 724px; */
}

#timer {
    top: 0;
    right: 0;
    color: #fff;
}

.user-avatar {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    border: 2px solid rgba(252, 208, 0, 0.8);
}

.main-video {
    width: 100%;
    min-width: 100%;
    min-height: 100%;
    position: absolute;
    right: 0;
    top: 0;
}

#site-content {
    height: 100vh;
    overflow: hidden;
}

.admin-learning-container #site-content{
    height: 410px;
}

.admin-learning-container .hidden-opacity#characters-input{
    opacity: 1;
    z-index: 9999999;
    position: absolute;
    width: 100%;
    bottom: 0px;
    left: 0;
    background: red;
}

.chracters-success {
    color: green !important;
    font-weight: bold;
}

.chracters-danger {
    color: red;
    font-weight: bold;
}

.hidden-element {
    visibility: hidden;
}

.position-absolute {
    position: absolute;
}

#lyrics {
    position: absolute;
    text-align: center;
    bottom: 35px;
    text-shadow: 2px 0 0 #000, -2px 0 0 #000, 0 2px 0 #000, 0 -2px 0 #000, 1px 1px #000, -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000;
    text-shadow: 2px 0 0 #000, -2px 0 0 #000, 0 2px 0 #000, 0 -2px 0 #000, 1px 1px #000, -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000;
    font-family: 'Roboto Mono', monospace;
    font-weight: bold;
    font-size: 30px;
    color: #fff;
}

#lyrics-template-container .inner-subtitles-key {
    min-width: 20px;
}

#lyrics-template {
    left: 330px;
}

#lyrics-template-container.is-learning::after {
    min-width: 238px;
    min-height: 100%;
    content: '';
    position: fixed;
    top: 38px;
    left: 0px;
    background-image: url('/images/system_images/corner.png');
    background-repeat: no-repeat;
}
#lyrics-template-container.is-learning::before {
    content: '';
    width: 32px;
    height: 32px;
    border-radius: 50%;
    position: absolute;
    left: 36px;
    z-index: 10;
    top: 81px;
    background: #fff;
    box-shadow: 0 0 15px #a555ff, 0 0 30px #7200ff, 0 0 45px #d9a0ff;
    opacity: 0;
    animation: none;
}

#lyrics-template-container.is-learning.shine-once::before {
    animation: glow 2s alternate;
}

@keyframes glow {
    0% {
        transform: scale(1);
        opacity: 0;
        filter: blur(2px);
    }
    10% {
        transform: scale(1.1);
        opacity: 1;
        filter: blur(4px);
    }
    100% {
        transform: scale(1.1);
        opacity: 0;
        filter: blur(2px);
    }
}

#lyrics-template-container {
    position: absolute;
    text-align: center;
    bottom: 35px;
    text-shadow: 2px 0 0 #000, -2px 0 0 #000, 0 2px 0 #000, 0 -2px 0 #000, 1px 1px #000, -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000;
    text-shadow: 2px 0 0 #000, -2px 0 0 #000, 0 2px 0 #000, 0 -2px 0 #000, 1px 1px #000, -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000;
    font-family: 'Roboto Mono', monospace;
    font-weight: bold;
    font-size: 30px;
    color: #fff;
    overflow: hidden;
    left: 50%;
    transform: translate(-50%);
    padding: 57px;
    min-height: 159px;
    width: 1210px;
    background-repeat: no-repeat;
    background-position: center 37px;
    background-size: 92%;
}

.success-area{
    position: absolute;
    width: 220px;
    height: 54px;
    top: 49px;
    background: #9561e2;
    left: 58px;
    border-radius: 36px 0 0 48px;
    opacity: 0.4;
}

.hearts-learning-clip-container {
    top: 50px;
}

.hearts-learning-clip-container .heart {
    width: 100px;
    height: 100px;
    background-position: 0 0;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.hearts-learning-clip-container .heart:nth-child(1) {
    left: calc(50% - 225px);
    animation-delay: 0.1s;
}

.hearts-learning-clip-container .heart:nth-child(2) {
    left: calc(50% - 175px);
    animation-delay: 0.2s;
}

.hearts-learning-clip-container .heart:nth-child(3) {
    left: calc(50% - 125px);
    animation-delay: 0.3s;
}

.hearts-learning-clip-container .heart:nth-child(4) {
    left: calc(50% - 75px);
    animation-delay: 0.4s;
}

.hearts-learning-clip-container .heart:nth-child(5) {
    left: calc(50% - 25px);
    animation-delay: 0.5s;
}

.hearts-learning-clip-container .heart:nth-child(6) {
    left: calc(50% + 25px);
    animation-delay: 0.6s;
}

.hearts-learning-clip-container .heart:nth-child(7) {
    left: calc(50% + 75px);
    animation-delay: 0.7s;
}

.hearts-learning-clip-container .heart:nth-child(8) {
    left: calc(50% + 125px);
    animation-delay: 0.8s;
}

.hearts-learning-clip-container .heart:nth-child(9) {
    left: calc(50% + 175px);
    animation-delay: 0.9s;
}

.hearts-learning-clip-container .heart:nth-child(10) {
    left: calc(50% + 225px);
    animation-delay: 1s;
}

.hearts-learning-clip-container .heart {
    animation: fave-heart 1s steps(28);
    background-position: -2800px 0;
    transition: background 1s steps(28);
}

.hearts-learning-clip-container .heart.heart-deactive {
    background-position: 0;
}


/* ---------------------------------------------PLAY BUTTON------------------------------------------- */
.start-btn-container {
    position: fixed;
    top: 30%;
    right: 35%;
    width: 30%;
}

.play-btn {
    width: 100px;
    height: 100px;
    background: radial-gradient(rgba(252, 208, 0, 0.8) 60%, rgba(255, 255, 255, 1) 62%);
    border-radius: 50%;
    position: relative;
    display: block;
    margin: 100px auto;
    box-shadow: 0px 0px 25px 3px rgba(252, 208, 0, 0.8);
}

/* triangle */
.play-btn::after {
    content: "";
    position: absolute;
    left: 50%;
    top: 50%;
    -webkit-transform: translateX(-40%) translateY(-50%);
    transform: translateX(-40%) translateY(-50%);
    transform-origin: center center;
    width: 0;
    height: 0;
    border-top: 15px solid transparent;
    border-bottom: 15px solid transparent;
    border-left: 25px solid #fff;
    z-index: 100;
    -webkit-transition: all 400ms cubic-bezier(0.55, 0.055, 0.675, 0.19);
    transition: all 400ms cubic-bezier(0.55, 0.055, 0.675, 0.19);
}

/* pulse wave */
.play-btn:before {
    content: "";
    position: absolute;
    width: 150%;
    height: 150%;
    -webkit-animation-delay: 0s;
    animation-delay: 0s;
    -webkit-animation: pulsate1 2s;
    animation: pulsate1 2s;
    -webkit-animation-direction: forwards;
    animation-direction: forwards;
    -webkit-animation-iteration-count: infinite;
    animation-iteration-count: infinite;
    -webkit-animation-timing-function: steps;
    animation-timing-function: steps;
    opacity: 1;
    border-radius: 50%;
    border: 5px solid rgba(255, 255, 255, .75);
    top: -30%;
    left: -30%;
    background: rgba(198, 16, 0, 0);
}

.capslock-on {
    position: absolute;
    left: 0;
    bottom: 70px;
    background-color: #fff;
    border-radius: 10px;
}

.wpm-counter {
    position: absolute;
    bottom: 110px;
    left: 50px;
    width: auto;
    color: white;
    font-size: 2em;
    opacity: 0;
}

#dialspin {
    transform-origin: 92% 75%;
    transform: rotate(-122deg);
}

.wpm-spin {
    max-width: 130px;
}

.side-board .side-board-content {
    /* position: absolute; */
    /* bottom: 10px; */
    font-size: 1rem;
    font-family: 'Roboto Mono', monospace;
}

.side-board {
    position: relative;
}

@-webkit-keyframes pulsate1 {
    0% {
        -webkit-transform: scale(0.6);
        transform: scale(0.6);
        opacity: 1;
        box-shadow: inset 0px 0px 25px 3px rgba(255, 255, 255, 0.75), 0px 0px 25px 10px rgba(255, 255, 255, 0.75);
    }

    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 0;
        box-shadow: none;

    }
}

@keyframes pulsate1 {
    0% {
        -webkit-transform: scale(0.6);
        transform: scale(0.6);
        opacity: 1;
        box-shadow: inset 0px 0px 25px 3px rgba(255, 255, 255, 0.75), 0px 0px 25px 10px rgba(255, 255, 255, 0.75);
    }

    100% {
        -webkit-transform: scale(1, 1);
        transform: scale(1);
        opacity: 0;
        box-shadow: none;

    }
}

/* ---------------------------------------------PLAY BUTTON------------------------------------------- */

.start-btn-liquid-container {
    margin: auto;
    width: 274px;
    opacity: 0;
}

.absolute-buttons {
    width: 100%;
    position: absolute;
    top: 50%;
    transform: translate(0, -50%);
    z-index: 101;
}

.pointer{
        transition: all .2s ease-in-out;
        cursor: pointer;
}

.start-btn-liquid-container .fa-info-circle{
    top: 22.5px;
    right: 17px;
}

.explanation-game-container{
    top: 40%;
    transform: translate(0, -50%);
    right: 5%;
    opacity: 0;
    transition: opacity 0.5s ease;
}

.start-btn-liquid-container a {
    position: relative;
    padding: 20px 50px;
    display: block;
    text-decoration: none;
    text-transform: uppercase;
    width: 100%;
    overflow: hidden;
    border-radius: 40px;
}

.start-btn-liquid-container a span {
    position: relative;
    color: #fff;
    /* font-size: 20px; */
    font-family: Arial;
    letter-spacing: 8px;
    z-index: 1;
}

.start-btn-liquid-container a .liquid {
    position: absolute;
    top: -80px;
    left: 0;
    width: 200px;
    height: 200px;
    /* background: #4973ff; */
    box-shadow: inset 0 0 50px rgba(0, 0, 0, .5);
    transition: .5s;
}

#start-btn-junior .liquid {
    background: #71336D;
}

#start-btn-middle .liquid {
    background: #432C4F;
}

#start-btn-master .liquid {
    background: #27273C;
}

.start-btn-liquid-container a .liquid::after,
.start-btn-liquid-container a .liquid::before {
    content: '';
    width: 200%;
    height: 200%;
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%, -75%);
    background: #000;
}

.start-btn-liquid-container a .liquid::before {

    border-radius: 45%;
    background: rgba(20, 20, 20, 1);
    animation: animate 5s linear infinite;
}

.start-btn-liquid-container a .liquid::after {

    border-radius: 40%;
    background: rgba(20, 20, 20, .5);
    animation: animate 10s linear infinite;
}

.start-btn-liquid-container a:hover .liquid {
    top: -120px;
}

.start-btn-liquid-container a:hover {
    text-decoration: none;
    font-weight: 900;
}

@keyframes animate {
    0% {
        transform: translate(-50%, -75%) rotate(0deg);
    }

    100% {
        transform: translate(-50%, -75%) rotate(360deg);
    }
}

@media (max-width: 767px) {
    .absolute-buttons {
        top: 0;
        transform: scale(0.7);
    }

    .main-video {
        width: 100%;
        min-height: unset;
    }
}

.partner-card {
    top: 0;
    right: 0;
    min-height: 70%;
}
.partner-left-card {
    top: 0;
    left: 0;
    min-height: 70%;
}

/* ------------------------------------------------------------------------- */
.loading-dots.wrapper {
    width: 200px;
    height: 60px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.loading-dots .circle {
    width: 20px;
    height: 20px;
    position: absolute;
    border-radius: 50%;
    background-color: #fff;
    left: 15%;
    transform-origin: 50%;
    animation: circle .5s alternate infinite ease;
}

@keyframes circle {
    0% {
        top: 60px;
        height: 5px;
        border-radius: 50px 50px 25px 25px;
        transform: scaleX(1.7);
    }

    40% {
        height: 20px;
        border-radius: 50%;
        transform: scaleX(1);
    }

    100% {
        top: 0%;
    }
}

.loading-dots .circle:nth-child(2) {
    left: 45%;
    animation-delay: .2s;
}

.loading-dots .circle:nth-child(3) {
    left: auto;
    right: 15%;
    animation-delay: .3s;
}

.loading-dots .shadow {
    width: 20px;
    height: 4px;
    border-radius: 50%;
    background-color: rgba(0, 0, 0, .5);
    position: absolute;
    top: 62px;
    transform-origin: 50%;
    z-index: -1;
    left: 15%;
    filter: blur(1px);
    animation: shadow .5s alternate infinite ease;
}

@keyframes shadow {
    0% {
        transform: scaleX(1.5);
    }

    40% {
        transform: scaleX(1);
        opacity: .7;
    }

    100% {
        transform: scaleX(.2);
        opacity: .4;
    }
}

.loading-dots .shadow:nth-child(4) {
    left: 45%;
    animation-delay: .2s
}

.loading-dots .shadow:nth-child(5) {
    left: auto;
    right: 15%;
    animation-delay: .3s;
}

.loading-dots .wrapper span {
    position: absolute;
    top: 75px;
    font-family: 'Lato';
    font-size: 20px;
    letter-spacing: 12px;
    color: #fff;
    left: 15%;
}

/* ------------------------------------------------------------------------- */



.multiplayer-ready-btn {
    left: 50%;
    top: 30%;
    transform: translate(-50%);
}

.multiplayer-ready-btn .start-btn-liquid-container {
    opacity: 1;
    width: auto;
}
